Goal conversions

GET https://oohbe.com/api/goals-conversions/
curl --request GET \
--url 'https://oohbe.com/api/goals-conversions/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
goal_id オプション 整数
website_id オプション 整数
datetime_field オプション 文字列 許可された値: datetime
datetime_start オプション 文字列 開始日時
datetime_end オプション 文字列 終了日時
order_by オプション 文字列 結果をどのフィールドで並べ替えるか。許可されている値は:conversion_id, datetime
order_type オプション 文字列 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。
page オプション 整数 結果を取得したいページ番号。デフォルトは1です。
results_per_page オプション 整数 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。
{
    "data": [
        {
            "id": 1,
            "website_id": 1,
            "user_id": 1,
            "visitor_id": 1,
            "session_id": 1,
            "event_id": 1,
            "datetime": "2026-05-17 03:07:56"
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://oohbe.com/api/goals-conversions?page=1",
        "last": "https://oohbe.com/api/goals-conversions?page=1",
        "next": null,
        "prev": null,
        "self": "https://oohbe.com/api/goals-conversions?page=1"
    }
}
GET https://oohbe.com/api/goals-conversions/{conversion_id}
curl --request GET \
--url 'https://oohbe.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "visitor_id": 1,
        "session_id": 1,
        "event_id": 1,
        "datetime": "2026-05-17 03:07:56"
    }
}
POST https://oohbe.com/api/goals-conversions
パラメータ 詳細 説明
goal_id 必須 整数 -
visitor_id オプション 整数 利用可能な時期: tracking_mode = normal
session_id オプション 整数 利用可能な時期: tracking_mode = normal
event_id オプション 整数 利用可能な時期: tracking_mode = normal
curl --request POST \
--url 'https://oohbe.com/api/goals-conversions' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'goal_id=1' \
--form 'visitor_id=1' \
{
    "data": {
        "id": 1
    }
}
POST https://oohbe.com/api/goals-conversions/{conversion_id}
パラメータ 詳細 説明
website_id オプション 整数 -
type オプション 文字列 許可された値: pageview, custom
name オプション 文字列 -
path オプション 文字列 利用可能な時期: type = pageview
key オプション 文字列 -
curl --request POST \
--url 'https://oohbe.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
    "data": {
        "id": 1
    }
}
DELETE https://oohbe.com/api/goals-conversions/{conversion_id}
curl --request DELETE \
--url 'https://oohbe.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \